Summary:        Fish Fillets Next Generation, a puzzle game with 70 levels
Name:           fillets-ng
Version:        0.7.3
Release:        1%{?dist}
License:        GPL
Group:          Amusements/Games
URL:            http://fillets.sourceforge.net/
Source0:        http://dl.sf.net/fillets/fillets-ng-%{version}.tar.gz
Source1:        fillets.desktop
Source2:        fillets.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       fillets-ng-data >= 0.7.1
BuildRequires:  SDL-devel, SDL_mixer-devel, SDL_image-devel, SDL_ttf-devel
BuildRequires:  lua-devel, fribidi-devel, desktop-file-utils

%description
Fish Fillets is strictly a puzzle game. The goal in every of the
seventy levels is always the same: find a safe way out. The fish utter
witty remarks about their surroundings, the various inhabitants of
their underwater realm quarrel among themselves or comment on the
efforts of your fish. The whole game is accompanied by quiet,
comforting music.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall

# Install desktop file
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install --vendor=fedora         \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

# Install themeable icon
%{__install} -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/fillets.png


%clean
%{__rm} -rf %{buildroot}


%post
update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/fillets
%{_datadir}/applications/fedora-fillets.desktop
%{_datadir}/pixmaps/fillets.png
%{_mandir}/man6/fillets.6*


%changelog
* Wed Oct 12 2005 Matthias Saou <http://freshrpms.net/> 0.7.3-1
- Update to 0.7.3.
- Enable fribidi support.

* Tue Aug 23 2005 Richard Henderson <rth@redhat.com> 0.7.1-1
- Update to version 0.7.1.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.6.0-2
- rebuilt

* Tue Feb  1 2005 Matthias Saou <http://freshrpms.net/> 0.6.0-1
- Split sources into separate source rpms (for data to be noarch).
- Minor spec file tweaks.
- Include icon from 0.6.1 data for the desktop entry.
- Remove unneeded explicit vorbis dependency.
- Added update-desktop-database calls.

* Sun Aug 22 2004 Michal Ambroz (O_O) <rebus@seznam.cz>
- rebuild 0.5.1 for Fedora Core 2

* Thu Jul 15 2004 Michal Ambroz (O_O) <rebus@seznam.cz>
- rebuild 0.4.1 for Fedora Core 2

* Thu Jul 15 2004 Michal Ambroz (O_O) <rebus@seznam.cz>
- rebuild 0.4 for Fedora Core 2

* Mon May 10 2004 Michal Ambroz (O_O) <rebus@seznam.cz>
- initial build for Fedora Core 2

